import { AllDeviceInfo } from "../all-device-info.js";
/**
 * A React component that displays a device's information in a card format.
 *
 * @param param - An object of type `DeviceParam`
 *
 * @returns A `Card` component containing device model as a `Heading` in the `CardHeader` and device name as a `Text` in the `CardBody`.
 */
export declare function Device(param: DeviceParam): import("react/jsx-runtime").JSX.Element;
/**
 * An interface defines the params that the `Device` component expects.
 */
export interface DeviceParam {
    /**
     * All device information
     */
    device: AllDeviceInfo;
}
