import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Card, CardHeader, Heading, CardBody, Text } from "@chakra-ui/react";
/**
 * A React component that displays a device's information in a card format.
 *
 * @param param - An object of type `DeviceParam`
 *
 * @returns A `Card` component containing device model as a `Heading` in the `CardHeader` and device name as a `Text` in the `CardBody`.
 */
export function Device(param) {
    const { device } = param;
    return _jsxs(Card, { children: [_jsx(CardHeader, { children: _jsx(Heading, { children: device.model }) }), _jsx(CardBody, { children: _jsx(Text, { children: device.name }) })] });
}
